/*!
  * @yzcode/vue-devtool-vuex-z v0.0.4
  * (c) 2021 
  * @license MIT
  */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var devtoolsApi = require('@vue/devtools-api');

const stateType = 'store';
function setupDevtools(app, { store }) {
    devtoolsApi.setupDevtoolsPlugin({
        id: '@yzcode/vue-devtool-vuex-z',
        label: 'vue-devtool-vuex',
        packageName: '@yzcode/vue-devtool-vuex-z',
        homepage: 'my home',
        app,
        componentStateTypes: [stateType],
    }, (api) => {
        // api.on.visitComponentTree((payload, context) => {
        //   const node = payload.treeNode
        //   if (payload.componentInstance.type.showTag) {
        //     node.tags.push({
        //       label: 'showTag',
        //       textColor: 0x000000,
        //       backgroundColor: 0xff984f
        //     })
        //   }
        //  })
        const data = {
            message: '一欧洗洗脑',
            counter: 1,
        };
        api.on.inspectComponent((payload, context) => {
            payload.instanceData.state.push({
                type: stateType,
                key: 'state',
                value: data.message,
            });
            payload.instanceData.state.push({
                type: stateType,
                key: 'gettters',
                value: data.counter,
            });
        });
    });
}
var index = {
    install(app, options) {
    },
};

exports['default'] = index;
exports.setupDevtools = setupDevtools;
